Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.x9
Class X9ECParametersHolder

    java.lang.Object
      org.bouncycastle.asn1.x9.X9ECParametersHolder

    public abstract class X9ECParametersHolder

extends java.lang.Object

Constructor Summary
`X9ECParametersHolder()`

Method Summary
`protected abstract X9ECParameters` `createParameters()`
`X9ECParameters` `getParameters()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### X9ECParametersHolder

    public X9ECParametersHolder()

Method Detail

### getParameters

    public X9ECParameters getParameters()

### createParameters

    protected abstract X9ECParameters createParameters()

Bouncy Castle Cryptography Library 1.45